import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;


/**
 * ICPC - CTU Open Contest 2021
 * Sample Solution: Factorials
 * 
 * @author Martin Kacer
 */
public class SpeedMK {
	StringTokenizer st = new StringTokenizer("");
	BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
	boolean hasNextToken() {
		try {
			while (!st.hasMoreTokens()) {
				String line = input.readLine();
				if (line == null) return false;
				st = new StringTokenizer(line);
			}
		} catch (IOException ex) { throw new RuntimeException(ex); }
		return true;
	}
	String nextToken() {
		return (!hasNextToken()) ? null : st.nextToken();
	}
	int nextInt() {
		return Integer.parseInt(nextToken());
	}
	public static void main(String[] args) {
		System.out.println(new SpeedMK().run());
	}
	
	CharSequence run() {
		int n = nextInt();
		if (n == 1) return "0";
		StringBuilder sb = new StringBuilder();
		for (int d=9, f=362880; n > 0; f/=d--) {
			while (n >= f) { sb.append(d); n -= f; }
		}
		return sb.reverse();
	}
}
